Patchwork [4,of,5] py3: replace hard coded `python` with $PYTHON in check-gendoc

login
register
mail settings
Submitter Matt Harbison
Date Dec. 19, 2018, 10:39 p.m.
Message ID <366fd75db07e40d00f78.1545259159@Envy>
Download mbox | patch
Permalink /patch/37251/
State Accepted
Headers show

Comments

Matt Harbison - Dec. 19, 2018, 10:39 p.m.
# HG changeset patch
# User Matt Harbison <matt_harbison@yahoo.com>
# Date 1545244362 18000
#      Wed Dec 19 13:32:42 2018 -0500
# Node ID 366fd75db07e40d00f783ab2168c6287644ab876
# Parent  7935c7f28f9d098fa76d207e70455260a42e3190
py3: replace hard coded `python` with $PYTHON in check-gendoc

Patch

diff --git a/tests/check-gendoc b/tests/check-gendoc
--- a/tests/check-gendoc
+++ b/tests/check-gendoc
@@ -4,8 +4,8 @@  export HGENCODING
 
 echo ".. -*- coding: utf-8 -*-" > gendoc.txt
 echo "" >> gendoc.txt
-LANGUAGE=$1 python "$TESTDIR/../doc/gendoc.py" >> gendoc.txt 2> /dev/null || exit
+LANGUAGE=$1 "$PYTHON" "$TESTDIR/../doc/gendoc.py" >> gendoc.txt 2> /dev/null || exit
 
 echo "checking for parse errors"
-python "$TESTDIR/../doc/docchecker" gendoc.txt
-python "$TESTDIR/../doc/runrst" html gendoc.txt /dev/null
+"$PYTHON" "$TESTDIR/../doc/docchecker" gendoc.txt
+"$PYTHON" "$TESTDIR/../doc/runrst" html gendoc.txt /dev/null